XmVaCreateSeparatorGadget(3)

NAME
XmVaCreateSeparatorGadget, XmVaCreateManagedSeparatorGadget — A SeparatorGadget widget convenience creation functions.

SYNOPSIS

#include <Xm/SeparatorG.h>

Widget XmVaCreateSeparatorGadget(
Widget parent,
String name,
...);

Widget XmVaCreateManagedSeparatorGadget(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateSeparatorGadget function is a convenience routine that calls XtCreateWidget.

The XmVaCreateSeparatorGadget function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of SeparatorGadget and its associated resources, see XmSeparatorGadget(3).

RETURN

Returns the SeparatorGadget widget ID.

RELATED

XmSeparatorGadget(3), XmCreateSeparatorGadget(3), XtCreateWidget(3), and XtCreateManagedWidget(3).